package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type MobilesealDesGetPublickeyRequest struct {
	// 【本次加密任务id】本次加密任务id
	DesSid string `json:"desSid,omitempty"`
}

func (obj MobilesealDesGetPublickeyRequest) GetUrl() string {
	return "/mobileseal/des/get/publicKey"
}

func (obj MobilesealDesGetPublickeyRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("desSid", obj.DesSid)
	return parameter
}
